Subject: [BK PATCH] PNP driver changes for 2.5.50
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

Here's a set of updated PNP driver patches from Adam Belay.

Please pull from:  bk://linuxusb.bkbits.net/pnp-2.5

thanks,

greg k-h

 drivers/input/gameport/ns558.c |  132 ++++++---------
 drivers/net/e100/e100_main.c   |    4 
 drivers/parport/parport_pc.c   |    3 
 drivers/pnp/Kconfig            |   15 +
 drivers/pnp/Makefile           |    6 
 drivers/pnp/base.h             |    3 
 drivers/pnp/card.c             |  342 +++++++++++++++++++++++++++++++++++++++++
 drivers/pnp/core.c             |   87 +++++-----
 drivers/pnp/driver.c           |   86 +++-------
 drivers/pnp/interface.c        |    8 
 drivers/pnp/isapnp/Makefile    |    4 
 drivers/pnp/isapnp/core.c      |   39 +---
 drivers/pnp/isapnp/proc.c      |    2 
 drivers/pnp/names.c            |    2 
 drivers/pnp/pnpbios/core.c     |   49 +++--
 drivers/pnp/quirks.c           |    2 
 drivers/pnp/system.c           |   10 -
 drivers/serial/8250_pnp.c      |   22 --
 include/linux/pnp.h            |  230 ++++++++++++++++++++++-----
 include/linux/pnpbios.h        |   13 +
 include/linux/sunrpc/stats.h   |   18 +-
 sound/isa/opl3sa2.c            |  131 ++++++---------
 sound/oss/opl3sa2.c            |    6 
 23 files changed, 818 insertions(+), 396 deletions(-)
-----

[email-masked], 2002-12-06 10:08:34-06:00, [email-masked]
  [PATCH] PnP gameport driver update
  
  This trivial patch updates the gameport driver to the new id scheme.

 drivers/input/gameport/ns558.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)
------

[email-masked], 2002-12-05 23:31:41-06:00, [email-masked]
  [PATCH] PnP bugfix
  
  I forgot the errno.h.  Without this patch, things may not compile when
  pnp support or pnp card support is disabled.
  
  Hope you had a good trip.  I noticed a small mistake in pnp 0.93 and I have
  a fix for it.

 include/linux/pnp.h |    1 +
 1 files changed, 1 insertion(+)
------

[email-masked], 2002-12-05 23:31:21-06:00, [email-masked]
  [PATCH] Linux PnP Support V0.93 - 2.5.50
  
  Attached is a patch, that updates the 2.5.50 to the latest pnp
  version.  It includes all 9 of the previously submitted patches.
  
  Highlights are as follows:
  -PnP BIOS fixes
  -Several new macros
  -PnP Card Services
  -Various bug fixes
  -more drivers converted to the new APIs

 drivers/input/gameport/ns558.c |  128 ++++++---------
 drivers/net/e100/e100_main.c   |    4 
 drivers/parport/parport_pc.c   |    3 
 drivers/pnp/Kconfig            |   15 +
 drivers/pnp/Makefile           |    6 
 drivers/pnp/base.h             |    3 
 drivers/pnp/card.c             |  342 +++++++++++++++++++++++++++++++++++++++++
 drivers/pnp/core.c             |   87 +++++-----
 drivers/pnp/driver.c           |   86 +++-------
 drivers/pnp/interface.c        |    8 
 drivers/pnp/isapnp/Makefile    |    4 
 drivers/pnp/isapnp/core.c      |   39 +---
 drivers/pnp/isapnp/proc.c      |    2 
 drivers/pnp/names.c            |    2 
 drivers/pnp/pnpbios/core.c     |   49 +++--
 drivers/pnp/quirks.c           |    2 
 drivers/pnp/system.c           |   10 -
 drivers/serial/8250_pnp.c      |   22 --
 include/linux/pnp.h            |  229 ++++++++++++++++++++++-----
 include/linux/pnpbios.h        |   13 +
 include/linux/sunrpc/stats.h   |   18 +-
 sound/isa/opl3sa2.c            |  131 ++++++---------
 sound/oss/opl3sa2.c            |    6 
 23 files changed, 815 insertions(+), 394 deletions(-)
------